Subject: bug#15047: 24.3.50; doc string of `find-listp-find-files' etc.

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 May 2016 18:12:16 +0300

> Date: Sun, 1 May 2016 06:28:04 -0800 (GMT-08:00)
> From: Drew Adams <[email-masked]>
> Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked]
> 
> > "DIRECTORY-PREDICATE is used to decide whether to descend into
> > directories.  It is a function which takes two arguments, the directory
> > and its parent."
> > 
> > I think with this wording its obvious what DIRECTORY-PREDICATE it is
> > applied to.
> 
> OK.
> 
> > I also think the word "whether" suggests how the boolean return value is
> > interpreted: descent when the predicate returns non-nil (aka "yes").
> > We could say that explicitly, sure, but I think it's worth it...
> 
> "Whether" does not imply that non-nil (aka "yes") means descend.

I think you are the only one who could ever imagine such a meaning of
that sentence.

> Admittedly, this is not very important.  Still, if we are going
> to spend time and energy talking about this, we might as well
> make it right.

Or we might stop wasting time splitting hair.